"""settings validity

Revision ID: ad8b2d208492
Revises: 226cadcec9ac
Create Date: 2021-09-08 11:53:14.164305

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
from sqlalchemy import table


revision = "ad8b2d208492"
down_revision = "226cadcec9ac"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    set = table("settings")
    op.execute(set.delete())

    setting_type = sa.Enum("VOUCHER_LOCK", name="setting_type")
    setting_type.create(op.get_bind())
    op.add_column("settings", sa.Column("setting_type", setting_type, nullable=False))
    op.add_column("settings", sa.Column("valid_from", sa.Date(), nullable=True))
    op.add_column("settings", sa.Column("valid_till", sa.Date(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("settings", "valid_till")
    op.drop_column("settings", "valid_from")
    op.drop_column("settings", "setting_type")
    setting_type = sa.Enum("VOUCHER_LOCK", name="setting_type")
    setting_type.drop(op.get_bind())
    # ### end Alembic commands ###
