"""fraction units

Revision ID: c39eb451a683
Revises: 7ba0aff64237
Create Date: 2021-11-01 10:05:46.057929

"""
import sqlalchemy as sa

from alembic import op
from sqlalchemy import Unicode, column, select, table

# revision identifiers, used by Alembic.
from sqlalchemy.dialects.postgresql import UUID


revision = "c39eb451a683"
down_revision = "7ba0aff64237"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "products",
        sa.Column("fraction_units", sa.Unicode(length=255), nullable=False, server_default=""),
    )
    product = table(
        "products",
        column("id", UUID(as_uuid=True)),
        column("fraction_units", Unicode(255)),
    )
    sku = table(
        "stock_keeping_units",
        column("product_id", UUID(as_uuid=True)),
        column("fraction_units", Unicode(255)),
    )
    op.execute(
        product.update().values(
            fraction_units=select(sku.c.fraction_units).where(sku.c.product_id == product.c.id).limit(1)
        )
    )

    op.drop_index("unique_true_is_default", table_name="stock_keeping_units")
    op.drop_column("stock_keeping_units", "is_default")
    op.drop_column("stock_keeping_units", "fraction_units")
    # ### end Alembic commands ###


def downgrade():
    pass
