"""closing stock

Revision ID: d6f96b7b16c6
Revises: c09ff00ec84a
Create Date: 2021-10-12 21:59:28.473737

"""
import sqlalchemy as sa

from alembic import op
from sqlalchemy.dialects import postgresql


# revision identifiers, used by Alembic.
revision = "d6f96b7b16c6"
down_revision = "0670868fe171"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "closing_stocks",
        sa.Column("id", postgresql.UUID(as_uuid=True), nullable=False),
        sa.Column("date", sa.Date(), nullable=False),
        sa.Column("cost_centre_id", postgresql.UUID(as_uuid=True), nullable=False),
        sa.Column("sku_id", postgresql.UUID(as_uuid=True), nullable=False),
        sa.Column("quantity", sa.Numeric(precision=15, scale=2), nullable=False),
        sa.ForeignKeyConstraint(
            ["cost_centre_id"], ["cost_centres.id"], name=op.f("fk_closing_stocks_cost_centre_id_cost_centres")
        ),
        sa.ForeignKeyConstraint(
            ["sku_id"], ["stock_keeping_units.id"], name=op.f("fk_closing_stocks_sku_id_stock_keeping_units")
        ),
        sa.PrimaryKeyConstraint("id", name=op.f("pk_closing_stocks")),
        sa.UniqueConstraint("date", "cost_centre_id", "sku_id", name=op.f("uq_closing_stocks_date")),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("closing_stocks")
    # ### end Alembic commands ###
