from __future__ import annotations

import uuid

from sqlalchemy import Column
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.schema import ForeignKey, Table

from .meta import Base


role_permission = Table(
    "role_permissions",
    Base.metadata,
    Column("id", UUID(as_uuid=True), primary_key=True, default=uuid.uuid4),
    Column("permission_id", UUID(as_uuid=True), ForeignKey("permissions.id")),
    Column("role_id", UUID(as_uuid=True), ForeignKey("roles.id")),
)
