import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { BatchIntegrityReportComponent } from './batch-integrity-report.component';
import { BatchIntegrityResolverService } from './batch-integrity-resolver.service';

const batchIntegrityRoutes: Routes = [
  {
    path: '',
    component: BatchIntegrityReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Product Ledger',
    },
    resolve: {
      info: BatchIntegrityResolverService,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(batchIntegrityRoutes)],
  exports: [RouterModule],
  providers: [BatchIntegrityResolverService],
})
export class BatchIntegrityReportRoutingModule {}
