import { CostCentre } from '../core/cost-centre';
import { Product } from '../core/product';

export class ClosingStockItem {
  id: string | null;
  product: Product;
  group: string;
  quantity: number;
  amount: number;
  physical: number;
  variance: number;
  costCentre?: CostCentre;

  public constructor(init?: Partial<ClosingStockItem>) {
    this.id = null;
    this.product = new Product();
    this.group = '';
    this.quantity = 0;
    this.amount = 0;
    this.variance = 0;
    this.physical = 0;
    Object.assign(this, init);
  }
}
