import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { NonContractPurchaseResolverService } from './non-contract-purchase-resolver.service';
import { NonContractPurchaseComponent } from './non-contract-purchase.component';

const nonContractPurchaseRoutes: Routes = [
  {
    path: '',
    component: NonContractPurchaseComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Product Ledger',
    },
    resolve: {
      info: NonContractPurchaseResolverService,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(nonContractPurchaseRoutes)],
  exports: [RouterModule],
  providers: [NonContractPurchaseResolverService],
})
export class NonContractPurchaseRoutingModule {}
