import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { ReceiptAccountsResolver } from './receipt-accounts-resolver.service';
import { ReceiptResolver } from './receipt-resolver.service';
import { ReceiptComponent } from './receipt.component';

const receiptRoutes: Routes = [
  {
    path: '',
    component: ReceiptComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'journal',
    },
    resolve: {
      receiptAccounts: ReceiptAccountsResolver,
      voucher: ReceiptResolver,
    },
    runGuardsAndResolvers: 'paramsChange',
  },
  {
    path: ':id',
    component: ReceiptComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'journal',
    },
    resolve: {
      receiptAccounts: ReceiptAccountsResolver,
      voucher: ReceiptResolver,
    },
    runGuardsAndResolvers: 'paramsChange',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(receiptRoutes)],
  exports: [RouterModule],
  providers: [ReceiptResolver],
})
export class ReceiptRoutingModule {}
