import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Recipe } from './recipe';
import { RecipeService } from './recipe.service';

@Injectable({
  providedIn: 'root',
})
export class RecipeResolver implements Resolve<Recipe> {
  constructor(private ser: RecipeService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Recipe> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
